class Completion < ApplicationRecord
  belongs_to :contest
  belongs_to :contestant
  belongs_to :puzzle

  attr_accessor :display_time_from_start, :display_relative_time

  validates :time_seconds, presence: true
  validates_numericality_of :time_seconds
  validates :puzzle_id, uniqueness: { score: :contestant }
end
